CREATE TABLE irc_cand_actions (
    CAND_ACTION_ID           NUMBER(18, 0) ,
    PERSON_ID                NUMBER(18, 0)     NOT NULL,
    ACTION_CODE              VARCHAR2(256)     NOT NULL,
    ACTION_PAYLOAD           VARCHAR2(4000),
    ACTION_SECURE_PAYLOAD    VARCHAR2(4000),
    ACTION_STATUS_CODE       VARCHAR2(256)     NOT NULL,
    ACTION_START_DATE        TIMESTAMP(6)      NOT NULL,
    ACTION_END_DATE          TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    REQUEST_COUNT            NUMBER(9, 0)  ,
    CAND_ACTION_ID           NUMBER(18, 0) ,
    PERSON_ID                NUMBER(18, 0)     NOT NULL,
    ACTION_CODE              VARCHAR2(256)     NOT NULL,
    ACTION_PAYLOAD           VARCHAR2(4000),
    ACTION_SECURE_PAYLOAD    VARCHAR2(4000),
    ACTION_STATUS_CODE       VARCHAR2(256)     NOT NULL,
    ACTION_START_DATE        TIMESTAMP(6)      NOT NULL,
    ACTION_END_DATE          TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    REQUEST_COUNT            NUMBER(9, 0)  ,
    CONSTRAINT pk_irc_cand_actions PRIMARY KEY (CAND_ACTION_ID, CAND_ACTION_ID)
);
